#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
main () {
	int a1,a2,b1,b2;
	scanf("%d%d",&a1,&a2);
	scanf("%d%d",&b1,&b2);
	if (a1==b1 || a2==b2) {
		printf("2");
	}
	else {
		printf("1");
	}
}